;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: PWM8_16.inc
;;   Version: 2.5, Updated on 2006/05/15 at 15:09:31
;;  Generated by PSoC Designer ver 4.4  b1884 : 14 Jan, 2007
;;
;;  DESCRIPTION: Assembler declarations for the PWM8 user module interface
;;               for the 22/24/27/29xxx PSoC family of devices
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress MicroSystems 2000-2004. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"


;--------------------------------------------------
; Constants for PWM8_16 API's.
;--------------------------------------------------

PWM8_16_CONTROL_REG_START_BIT:             equ 0x01    ; Control register start bit
PWM8_16_INT_REG:                           equ 0x0df
PWM8_16_INT_MASK:                          equ 0x80


;--------------------------------------------------
; Constants for PWM8_16 user defined values
;--------------------------------------------------

PWM8_16_PERIOD:                            equ 0x1f
PWM8_16_PULSE_WIDTH:                       equ 0x00


;--------------------------------------------------
; Register Address Constants for PWM8_16
;--------------------------------------------------

PWM8_16_COUNTER_REG:                   equ 0x5c   ; DR0 Count register
PWM8_16_PERIOD_REG:                    equ 0x5d   ; DR1 Period register
PWM8_16_COMPARE_REG:                   equ 0x5e   ; DR2 Compare register
PWM8_16_CONTROL_REG:                   equ 0x5f   ; Control register
PWM8_16_FUNC_REG:                      equ 0x5c   ; Function register
PWM8_16_INPUT_REG:                     equ 0x5d   ; Input register
PWM8_16_OUTPUT_REG:                    equ 0x5e   ; Output register


;--------------------------------------------------
; PWM8_16 Macro 'Functions'
;--------------------------------------------------

   macro PWM8_16_Start_M
   or    reg[PWM8_16_CONTROL_REG],  PWM8_16_CONTROL_REG_START_BIT
   endm

   macro PWM8_16_Stop_M
   and   reg[PWM8_16_CONTROL_REG], ~PWM8_16_CONTROL_REG_START_BIT
   endm

   macro PWM8_16_EnableInt_M
   M8C_EnableIntMask PWM8_16_INT_REG, PWM8_16_INT_MASK
   endm

   macro PWM8_16_DisableInt_M
   M8C_DisableIntMask PWM8_16_INT_REG, PWM8_16_INT_MASK
   endm


; end of file PWM8_16.inc
