;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: PWM8_11.inc
;;   Version: 2.5, Updated on 2006/05/15 at 15:09:31
;;  Generated by PSoC Designer ver 4.4  b1884 : 14 Jan, 2007
;;
;;  DESCRIPTION: Assembler declarations for the PWM8 user module interface
;;               for the 22/24/27/29xxx PSoC family of devices
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress MicroSystems 2000-2004. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"


;--------------------------------------------------
; Constants for PWM8_11 API's.
;--------------------------------------------------

PWM8_11_CONTROL_REG_START_BIT:             equ 0x01    ; Control register start bit
PWM8_11_INT_REG:                           equ 0x0df
PWM8_11_INT_MASK:                          equ 0x04


;--------------------------------------------------
; Constants for PWM8_11 user defined values
;--------------------------------------------------

PWM8_11_PERIOD:                            equ 0x1f
PWM8_11_PULSE_WIDTH:                       equ 0x00


;--------------------------------------------------
; Register Address Constants for PWM8_11
;--------------------------------------------------

PWM8_11_COUNTER_REG:                   equ 0x48   ; DR0 Count register
PWM8_11_PERIOD_REG:                    equ 0x49   ; DR1 Period register
PWM8_11_COMPARE_REG:                   equ 0x4a   ; DR2 Compare register
PWM8_11_CONTROL_REG:                   equ 0x4b   ; Control register
PWM8_11_FUNC_REG:                      equ 0x48   ; Function register
PWM8_11_INPUT_REG:                     equ 0x49   ; Input register
PWM8_11_OUTPUT_REG:                    equ 0x4a   ; Output register


;--------------------------------------------------
; PWM8_11 Macro 'Functions'
;--------------------------------------------------

   macro PWM8_11_Start_M
   or    reg[PWM8_11_CONTROL_REG],  PWM8_11_CONTROL_REG_START_BIT
   endm

   macro PWM8_11_Stop_M
   and   reg[PWM8_11_CONTROL_REG], ~PWM8_11_CONTROL_REG_START_BIT
   endm

   macro PWM8_11_EnableInt_M
   M8C_EnableIntMask PWM8_11_INT_REG, PWM8_11_INT_MASK
   endm

   macro PWM8_11_DisableInt_M
   M8C_DisableIntMask PWM8_11_INT_REG, PWM8_11_INT_MASK
   endm


; end of file PWM8_11.inc
